%define name		bmud
%define version		0.3.5
%define release		3
%define prefix		/usr
%define sysconfdir	/etc

Summary: A MUD client for GNOME and X.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Amusements/Games
Source0: http://shells.clipboard.com/~br0ke/files/bmud-0.3.5.tar.gz
Source1: bmud.desktop
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Bmud is a MUD (Multi-User Dungeon or Dimension) client for GNOME and
the X Window System. Bmud is based on the GTK+ widget set.

%prep
%setup -q

# There is no configure... Yet...
#if [ ! -f configure ]; then
#  CFLAGS="$RPM_OPT_FLAGS" \
#	./autogen.sh $ARCH_FLAGS \
#	--prefix=%{prefix} \
#	--sysconfdir=%{sysconfdir} \
#	--with-gnome 
#else
#  CFLAGS="$RPM_OPT_FLAGS" \
#	./configure $ARCH_FLAGS \
#	--prefix=%{prefix} \
#	--sysconfdir=%{sysconfdir} \
#	--with-gnome 
#fi

%build
make gtk

%install
# No cool make install... Yet...
#make \
#	prefix=$RPM_BUILD_ROOT%{prefix} \
#	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
#	install-strip

install -D -m755 bmud $RPM_BUILD_ROOT/%{prefix}/bin/bmud
install -D -m755 $RPM_SOURCE_DIR/bmud.desktop $RPM_BUILD_ROOT/%{prefix}/share/gnome/apps/Internet/bmud.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc TODO
%doc README
%doc PROPOSAL
%doc INSTALL
%doc COPYING
%{prefix}/bin/bmud
%{prefix}/share/gnome/apps/Internet/bmud.desktop

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed groups

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Jul 12 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
